Name:           qactus
Version:        1.0.0
Release:        0%{?dist}.1
Summary:        Qt 5-based Open Build Service client

License:        GPLv2 or GPLv3
URL:            https://github.com/javierllorente/qactus
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Switch to CMake for building qactus
# From: https://github.com/javierllorente/qactus/pull/3
Patch0001:      0001-Implement-CMake-build-scripts-for-Qactus.patch

BuildRequires:  cmake >= 3.5
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Keychain)

Requires:       libqobs%{?_isa} = %{version}-%{release}

%description
Qactus is a Qt 5-based graphical client for Open Build Service instances.

It contains a browser for managing projects, a remote build log viewer,
a submit request manager, and more.

%package -n libqobs
Summary:        Qt 5-based Open Build Service client library

%description -n libqobs
This package provides a Qt 5-based client library for interacting
with Open Build Service instances.

%package -n libqobs-devel
Summary:        Development files for libqobs library
Requires:       libqobs%{?_isa} = %{version}-%{release}

%description -n libqobs-devel
This package provides the files needed to develop applications
that use libqobs.


%prep
%autosetup -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
%make_build -C %{_target_platform}


%install
%make_install -C %{_target_platform}


%files
%license COPYING gpl-2.0.txt gpl-3.0.txt
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/qactus.desktop
%{_datadir}/icons/hicolor/*/apps/qactus.png


%files -n libqobs
%license COPYING gpl-2.0.txt gpl-3.0.txt
%{_libdir}/libqobs.so.*

%files -n libqobs-devel
%{_libdir}/libqobs.so
%{_libdir}/pkgconfig/libqobs.pc
%{_includedir}/qobs/


%changelog
* Mon Nov 26 2018 Neal Gompa <ngompa13@gmail.com> - 1.0.0-0.1
- Initial packaging
